Bug 988657 - [RFE]user can add itself in its submission delegates list
[RFE]user can add itself in its submission delegates list
Status: NEW
Product: Beaker
Classification: Community
Component: general (Show other bugs)
0.14
Unspecified Unspecified
medium Severity low (vote)
: ---
: ---
Assigned To: beaker-dev-list
tools-bugs
: FutureFeature, Reopened
Depends On:
Blocks: 960302
  Show dependency treegraph
 
Reported: 2013-07-26 01:18 EDT by wangjing
Modified: 2016-05-26 09:20 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-26 01:52:12 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description wangjing 2013-07-26 01:18:53 EDT
Description of problem:
user can add itself in its submission delegates list.

Version-Release number of selected component (if applicable):
beaker-devel env Version - 0.13.2(20130724)

How reproducible:
always

Steps to Reproduce:
1. user1 login beaker.
2. visit page User Preferences.
3. add user1 in its Submission Delegates list.

or via CLI run: bkr user-modify --add-submission-delegate=user1

Actual results:
user1 can add user1 in its submission delegates list.

Expected results:
user1 can't add itself in its submission delegates list, there should be some proper warnings.

Additional info:
Comment 2 Raymond Mancy 2013-07-26 01:52:12 EDT
There is no reason so explicitly deny this capability.
Comment 3 wangjing 2013-07-28 23:47:22 EDT
I'd like to change this bug to one RFE for recording this issue, it is meaningless that user can add itself in its submission delegates list.

Note You need to log in before you can comment on or make changes to this bug.